<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:37 UTC 2019 -->
<title>Uses of Class com.here.android.mpa.ar.ARObject (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class com.here.android.mpa.ar.ARObject (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../com/here/android/mpa/ar/ARObject.html" title="class in com.here.android.mpa.ar">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../../../../../../overview-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?com/here/android/mpa/ar/class-use/ARObject.html" target="_top">Frames</a></li>
<li><a href="ARObject.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class com.here.android.mpa.ar.ARObject" class="title">Uses of Class<br>com.here.android.mpa.ar.ARObject</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../com/here/android/mpa/ar/ARObject.html" title="class in com.here.android.mpa.ar">ARObject</a></span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#com.here.android.mpa.ar">com.here.android.mpa.ar</a></td>
<td class="colLast">
<div class="block">The AR package provides classes, interfaces and enumerations for displaying LiveSight and customizing the
    experience.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="com.here.android.mpa.ar">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../com/here/android/mpa/ar/ARObject.html" title="class in com.here.android.mpa.ar">ARObject</a> in <a href="../../../../../../com/here/android/mpa/ar/package-summary.html">com.here.android.mpa.ar</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subclasses, and an explanation">
<caption><span>Subclasses of <a href="../../../../../../com/here/android/mpa/ar/ARObject.html" title="class in com.here.android.mpa.ar">ARObject</a> in <a href="../../../../../../com/here/android/mpa/ar/package-summary.html">com.here.android.mpa.ar</a></span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARIconObject.html" title="class in com.here.android.mpa.ar">ARIconObject</a></span></code>
<div class="block">Concrete <a href="../../../../../../com/here/android/mpa/ar/ARObject.html" title="class in com.here.android.mpa.ar"><code>ARObject</code></a> which represents the LiveSight object model.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../com/here/android/mpa/ar/package-summary.html">com.here.android.mpa.ar</a> that return <a href="../../../../../../com/here/android/mpa/ar/ARObject.html" title="class in com.here.android.mpa.ar">ARObject</a></span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/ar/ARObject.html" title="class in com.here.android.mpa.ar">ARObject</a></code></td>
<td class="colLast"><span class="typeNameLabel">ARRadarItem.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARRadarItem.html#getARObject--">getARObject</a></span>()</code>
<div class="block">Returns <a href="../../../../../../com/here/android/mpa/ar/ARObject.html" title="class in com.here.android.mpa.ar"><code>ARObject</code></a> associated with the <code>ARRadarItem</code></div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/ar/ARObject.html" title="class in com.here.android.mpa.ar">ARObject</a></code></td>
<td class="colLast"><span class="typeNameLabel">ARController.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.html#press-android.graphics.PointF-">press</a></span>(android.graphics.PointF point)</code>
<div class="block">Press an <a href="../../../../../../com/here/android/mpa/ar/ARObject.html" title="class in com.here.android.mpa.ar"><code>ARObject</code></a>.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../com/here/android/mpa/ar/package-summary.html">com.here.android.mpa.ar</a> that return types with arguments of type <a href="../../../../../../com/here/android/mpa/ar/ARObject.html" title="class in com.here.android.mpa.ar">ARObject</a></span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../../../com/here/android/mpa/ar/ARObject.html" title="class in com.here.android.mpa.ar">ARObject</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">ARController.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.html#getObjects-android.graphics.PointF-">getObjects</a></span>(android.graphics.PointF point)</code>
<div class="block">Get a list of <a href="../../../../../../com/here/android/mpa/ar/ARObject.html" title="class in com.here.android.mpa.ar"><code>ARObject</code></a>s at the specified screen point.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../../../com/here/android/mpa/ar/ARObject.html" title="class in com.here.android.mpa.ar">ARObject</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">ARController.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.html#getObjects-com.here.android.mpa.common.ViewRect-">getObjects</a></span>(<a href="../../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common">ViewRect</a> rect)</code>
<div class="block">Get a list of <a href="../../../../../../com/here/android/mpa/ar/ARObject.html" title="class in com.here.android.mpa.ar"><code>ARObject</code></a>s which intersect the given <a href="../../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common"><code>ViewRect</code></a></div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../com/here/android/mpa/ar/package-summary.html">com.here.android.mpa.ar</a> with parameters of type <a href="../../../../../../com/here/android/mpa/ar/ARObject.html" title="class in com.here.android.mpa.ar">ARObject</a></span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">ARController.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.html#addARObject-com.here.android.mpa.ar.ARObject-">addARObject</a></span>(<a href="../../../../../../com/here/android/mpa/ar/ARObject.html" title="class in com.here.android.mpa.ar">ARObject</a> arObject)</code>
<div class="block">Add an <a href="../../../../../../com/here/android/mpa/ar/ARObject.html" title="class in com.here.android.mpa.ar"><code>ARObject</code></a> that will be displayed in the Camera and Map view.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">ARController.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.html#depress-com.here.android.mpa.ar.ARObject-">depress</a></span>(<a href="../../../../../../com/here/android/mpa/ar/ARObject.html" title="class in com.here.android.mpa.ar">ARObject</a> arObject)</code>
<div class="block">Depress previously pressed <a href="../../../../../../com/here/android/mpa/ar/ARObject.html" title="class in com.here.android.mpa.ar"><code>ARObject</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">ARController.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.html#focus-com.here.android.mpa.ar.ARObject-">focus</a></span>(<a href="../../../../../../com/here/android/mpa/ar/ARObject.html" title="class in com.here.android.mpa.ar">ARObject</a> arObject)</code>
<div class="block">Focus an <a href="../../../../../../com/here/android/mpa/ar/ARObject.html" title="class in com.here.android.mpa.ar"><code>ARObject</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><span class="typeNameLabel">ARController.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.html#getObjectId-com.here.android.mpa.ar.ARObject-">getObjectId</a></span>(<a href="../../../../../../com/here/android/mpa/ar/ARObject.html" title="class in com.here.android.mpa.ar">ARObject</a> arObject)</code>
<div class="block">Get <a href="../../../../../../com/here/android/mpa/ar/ARObject.html" title="class in com.here.android.mpa.ar"><code>ARObject</code></a>s unique identifier.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">ARController.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.html#isOccluded-com.here.android.mpa.ar.ARObject-">isOccluded</a></span>(<a href="../../../../../../com/here/android/mpa/ar/ARObject.html" title="class in com.here.android.mpa.ar">ARObject</a> arObject)</code>
<div class="block">Check if an <a href="../../../../../../com/here/android/mpa/ar/ARObject.html" title="class in com.here.android.mpa.ar"><code>ARObject</code></a> is occluded by a building</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">ARController.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.html#isVisible-com.here.android.mpa.ar.ARObject-">isVisible</a></span>(<a href="../../../../../../com/here/android/mpa/ar/ARObject.html" title="class in com.here.android.mpa.ar">ARObject</a> arObject)</code>
<div class="block">Check if an <a href="../../../../../../com/here/android/mpa/ar/ARObject.html" title="class in com.here.android.mpa.ar"><code>ARObject</code></a> is visible in the camera view.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">ARController.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.html#press-com.here.android.mpa.ar.ARObject-">press</a></span>(<a href="../../../../../../com/here/android/mpa/ar/ARObject.html" title="class in com.here.android.mpa.ar">ARObject</a> arObject)</code>
<div class="block">Press an <a href="../../../../../../com/here/android/mpa/ar/ARObject.html" title="class in com.here.android.mpa.ar"><code>ARObject</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">ARController.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.html#removeARObject-com.here.android.mpa.ar.ARObject-">removeARObject</a></span>(<a href="../../../../../../com/here/android/mpa/ar/ARObject.html" title="class in com.here.android.mpa.ar">ARObject</a> arObject)</code>
<div class="block">Remove an <a href="../../../../../../com/here/android/mpa/ar/ARObject.html" title="class in com.here.android.mpa.ar"><code>ARObject</code></a> from the Camera and Map view.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">ARController.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.html#select-com.here.android.mpa.ar.ARObject-">select</a></span>(<a href="../../../../../../com/here/android/mpa/ar/ARObject.html" title="class in com.here.android.mpa.ar">ARObject</a> arObject)</code>
<div class="block">Select an <a href="../../../../../../com/here/android/mpa/ar/ARObject.html" title="class in com.here.android.mpa.ar"><code>ARObject</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">ARController.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.html#select-com.here.android.mpa.ar.ARObject-boolean-float-">select</a></span>(<a href="../../../../../../com/here/android/mpa/ar/ARObject.html" title="class in com.here.android.mpa.ar">ARObject</a> arObject,
      boolean allowInfo,
      float scale)</code>
<div class="block">Select an <a href="../../../../../../com/here/android/mpa/ar/ARObject.html" title="class in com.here.android.mpa.ar"><code>ARObject</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/ar/ARController.IconParams.html" title="class in com.here.android.mpa.ar">ARController.IconParams</a></code></td>
<td class="colLast"><span class="typeNameLabel">ARController.IconParams.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.IconParams.html#setFlyIconSizeOnMap-com.here.android.mpa.ar.ARObject-int-int-">setFlyIconSizeOnMap</a></span>(<a href="../../../../../../com/here/android/mpa/ar/ARObject.html" title="class in com.here.android.mpa.ar">ARObject</a> object,
                   int width,
                   int height)</code>
<div class="block">Set fly animation initial icon size while transitioning from MAP to CAMERA view and final
 icon size while transitioning from CAMERA to MAP view</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../../../../../com/here/android/mpa/ar/package-summary.html">com.here.android.mpa.ar</a> with type arguments of type <a href="../../../../../../com/here/android/mpa/ar/ARObject.html" title="class in com.here.android.mpa.ar">ARObject</a></span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">ARController.OnObjectTappedListener.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.OnObjectTappedListener.html#onObjectTapped-java.util.List-">onObjectTapped</a></span>(java.util.List&lt;<a href="../../../../../../com/here/android/mpa/ar/ARObject.html" title="class in com.here.android.mpa.ar">ARObject</a>&gt; objects)</code>
<div class="block">A callback indicating that at least one <a href="../../../../../../com/here/android/mpa/ar/ARObject.html" title="class in com.here.android.mpa.ar"><code>ARObject</code></a> is located at the users tap
 point.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../com/here/android/mpa/ar/ARObject.html" title="class in com.here.android.mpa.ar">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../../../../../../overview-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?com/here/android/mpa/ar/class-use/ARObject.html" target="_top">Frames</a></li>
<li><a href="ARObject.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
